//ABOE scripts | All Rights Reserved unless otherwise explicitly stated.
//
//Information.
//This removes the crafting recipes for problematic items.
//
//Scripted by Peter.
//Last edited by Peter 09.04.2022 (EU date format) (Initial version)
//Last edited by Predundant 17.05.2022 (EU date format) (Added Valhesia Dungeon Door recipe)
//Last edited by Predundant 01.08.2022 (EU date format) (Added Quartz Block recipe)
//Last edited by Predundant 04.08.2022 (EU date format) (Added missing recipes to uncompress Compressum x1 blocks)
//Last edited by <name> <date> (EU date format) (Changelog).


settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = false

onEvent('recipes', event => {

	//Add Shaped recipes

	//Add a recipe for rubber essence
	event.shaped('6x thermal:rubber', [
		'RRR',
		'R R',
		'RRR'
	  ], {
		R: 'mysticalagriculture:rubber_essence',
	  })

	//Add a recipe for filled glowstone units
	event.shaped('1x simplyjetpacks:unit_glowstone', [
		'DDD',
		'DED',
		'DDD'
	  ], {
		E: 'simplyjetpacks:unit_glowstone_empty',
		D: 'minecraft:glowstone_dust',
	  })

	//Add a recipe for filled cryotheum units
	event.shaped('1x simplyjetpacks:unit_cryotheum', [
		'BBB',
		'BEB',
		'BBB'
	  ], {
		E: 'simplyjetpacks:unit_cryotheum_empty',
		B: 'thermal:blizz_powder',
	  })
	  
	  
	  //Add a recipe for Valhesia Dungeon Doors
	event.shaped('1x valhelsia_structures:dungeon_door', [
		'BB ',
		'CC ',
		'DD '
	  ], {
		B: 'minecraft:skeleton_skull',
		C: '#minecraft:logs',		
		D: 'minecraft:iron_block',
	  })	  
	  
	//Add recipe for quartz blocks
	event.shaped('1x minecraft:quartz_block', [
		'AA ',
		'AA ',
		'   '
	  ], {
		A: 'minecraft:quartz',
	  })	
	  
	//Add missing uncompress recipes for uncompressium
	event.shapeless(item.of('minecraft:iron_block', 9), 'compressium:iron_1')
	event.shapeless(item.of('minecraft:gold_block', 9), 'compressium:gold_1')
	event.shapeless(item.of('minecraft:diamond_block', 9), 'compressium:diamond_1')
	event.shapeless(item.of('minecraft:emerald_block', 9), 'compressium:emerald_1')
	event.shapeless(item.of('minecraft:coal_block', 9), 'compressium:coal_1')
	event.shapeless(item.of('minecraft:lapis_block', 9), 'compressium:lapis_1')
	event.shapeless(item.of('minecraft:quartz_block', 9), 'compressium:quartz_1')
	
	//Add conversion from draconic evolution draconium dust to moremekprocessing draconium dust
	event.shapeless(item.of('moremekanismprocessing:dust_draconium', 1), 'draconicevolution:draconium_dust')
			
})
